Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.Match

    java.lang.Object
        |
        +----com.ibm.xml.parser.Match

public class Match
extends java.lang.Object

Match is a utility class which handles namespace matching.

Version:
  1.1
See Also:
  Namespace, TXElement, TXAttribute, TXPI

Field Summary
static int | NS
static int | NSLOCAL
static int | QNAME

Constructor Summary
Match()

Method Summary
static boolean | matchName(Namespace target, int matchType, java.lang.String uri, java.lang.String qNameOrLocalName) Returns the first TXElement match through all child Element Nodes.

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Field Detail

### QNAME

    public static final int QNAME

### NSLOCAL

    public static final int NSLOCAL

### NS

    public static final int NS

Constructor Detail

### Match

    public Match()

Method Detail

### matchName

    public static boolean matchName(Namespace target,
                                    int matchType,
                                    java.lang.String uri,
                                    java.lang.String qNameOrLocalName)

  Returns the first TXElement match through all child Element Nodes. All specified input parameters must match for an element to be judged as matched (see Namespace for details). Various namespace matching algorithms are supported: qualified name, local name & URI, or URI. Searching is done recursively, not just for immediate Child Nodes.
  Parameters:
    `matchType` - Namespace match type: `Match.QNAME, Match.NSLOCAL, Match.NS`
    `uri` - When matching a URI, specify the value to match; otherwise, specify null.
    `qNameOrLocalName` - When matching a qualified name or local name, specify the value to match; otherwise, specify null.
  Returns:
    An array of matched TXElement Nodes, or null if no matches.
  See Also:
    Namespace

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |